%define url_ver %(echo %{version} | cut -d. -f1,2)

%define linphone_major 6
%define mediastreamer_major 4
%define libname_linphone %mklibname %{name} %{linphone_major}
%define libname_mediastreamer %mklibname mediastreamer %{mediastreamer_major}
%define libname_devel %mklibname -d %{name}

Name:           linphone
Version:        3.8.1
%define subrel	1
Release:        %mkrel 1
Summary:        Voice over IP Application
License:        GPLv2+
Group:          Communications/Telephony
URL:            http://www.linphone.org
Source0:        http://download-mirror.savannah.gnu.org/releases/linphone/%{url_ver}.x/sources/%{name}-%{version}.tar.gz
Patch0:         linphone-3.6.1-imagedir.patch
Patch1:         linphone-3.8.1-link.patch
Patch2:         linphone-3.8.1-mga-i18n-desktop.patch
Patch4:         linphone-3.7.0-mga-russian.patch
Patch5:		linphone-3.8.1-mbedtls.patch
BuildRequires:  automake
BuildRequires:  alsa-lib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(glew) >= 1.5
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.22.0
BuildRequires:  pkgconfig(libavcodec) >= 51.0.0
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpulse) >= 0.9.21
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.26
BuildRequires:  pkgconfig(libssl) >= 0.9.8
BuildRequires:  pkgconfig(libswscale) >= 0.7.0
BuildRequires:  pkgconfig(libupnp) >= 1.6
BuildRequires:  pkgconfig(libupnp) < 1.7
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(opus) >= 0.9.0
BuildRequires:  pkgconfig(ortp) >= 0.24.0
BuildRequires:  pkgconfig(sdl) >= 1.2.0
BuildRequires:  pkgconfig(spandsp) >= 0.0.6
BuildRequires:  pkgconfig(speex) >= 1.1.6
BuildRequires:  pkgconfig(speexdsp)
BuildRequires:  pkgconfig(sqlite3) >= 3.7.0
BuildRequires:  pkgconfig(theora) >= 1.0alpha7
BuildRequires:  pkgconfig(vpx) >= 0.9.6
BuildRequires:  pkgconfig(belle-sip) >= 1.4.0
BuildRequires:  ffmpeg-devel
BuildRequires:  gettext
BuildRequires:  gettext-devel
BuildRequires:  gsm-devel
BuildRequires:  intltool
BuildRequires:  libxv-devel
BuildRequires:  libxext-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libosip2) >= 3.1.0
BuildRequires:  readline-devel
BuildRequires:  speex-devel
BuildRequires:  vim-common
BuildRequires:  polarssl-devel
Requires:       %{libname_mediastreamer} = %{version}-%{release}

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname_linphone}
Summary:        Primary library for %{name}
Group:          System/Libraries

%description -n %{libname_linphone}
Primary library for %{name}.

%package -n     %{libname_mediastreamer}
Summary:        Media Streaming library for %{name}
Group:          System/Libraries

%description -n %{libname_mediastreamer}
Media Streaming library for %{name}.

%package -n     %{libname_devel}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname_linphone} = %{version}-%{release}
Requires:       %{libname_mediastreamer} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Obsoletes:      %mklibname -d %{name} 1

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
find '(' -name '*.c' -o -name '*.h' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'
%patch0 -p0 -b .image-dir
%patch1 -p1 -b .link
%patch2 -p1 -b .i18n-desktop
# %%patch4 -p1 -b .russian <- rediff needed?
%patch5 -p1

%build
./autogen.sh
( pushd mediastreamer2
./autogen.sh
%before_configure
popd )

%configure2_5x \
    --disable-static \
    --disable-rpath \
    --enable-alsa \
    --disable-strict \
    --enable-external-ortp \
    --enable-ipv6
%make

%install
%makeinstall_std

%find_lang %{name} --all-name

desktop-file-install \
        --vendor="" \
        --add-category="VideoConference" \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/linphone.desktop

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/ortp %{buildroot}%{_docdir}/mediastreamer* %{buildroot}%{_docdir}/linphone*

# don't ship .la:
rm -f %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc COPYING README AUTHORS BUGS ChangeLog
%doc %{_datadir}/gnome/help/%{name}
%{_bindir}/linphone*
%{_bindir}/auto_answer
%{_bindir}/msaudiocmp
%{_bindir}/lp-gen-wrappers
%{_bindir}/mediastream
%{_bindir}/lpc2xml_test
%{_bindir}/xml2lpc_test
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/sounds/%{name}
%{_datadir}/images/linphone/nowebcamCIF.jpg
%{_datadir}/applications/*
%{_datadir}/linphone
%{_datadir}/appdata/linphone.appdata.xml
%{_datadir}/icons/hicolor/48x48/apps/linphone.png

%files -n %{libname_linphone}
%{_libdir}/liblinphone.so.%{linphone_major}*

%files -n %{libname_mediastreamer}
%{_libdir}/libmediastreamer_base.so.%{mediastreamer_major}*
%{_libdir}/libmediastreamer_voip.so.%{mediastreamer_major}*

%files -n %{libname_devel}
%{_includedir}/linphone
%{_includedir}/mediastreamer2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/tutorials/%{name}


%changelog
* Fri Jan 15 2016 luigiwalser <luigiwalser> 3.8.1-1.1.mga5
+ Revision: 923206
- rebuild for polarssl/mbedtls

* Thu Apr 30 2015 oden <oden> 3.8.1-1.mga5
+ Revision: 820862
- 3.8.1
- rediff some patches, deactivate one weird russian one
- fix deps

* Fri Jan 16 2015 alexl <alexl> 3.7.0-1.mga5
+ Revision: 810993
- add missing requires on libmediastreamer3
- added GenericName for desktop file from upstream
- delete libav9 and exosip patches, rediff patches, add translatable.patch from upstream
- version 3.7.0 (mga#14760)

* Fri Nov 14 2014 akien <akien> 3.6.1-12.mga5
+ Revision: 797112
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 3.6.1-11.mga5
+ Revision: 747577
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.6.1-10.mga5
+ Revision: 726984
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.6.1-9.mga5
+ Revision: 681948
- Mageia 5 Mass Rebuild

* Thu Sep 11 2014 alexl <alexl> 3.6.1-8.mga5
+ Revision: 674735
- updated Russian translation

* Fri Sep 05 2014 alexl <alexl> 3.6.1-7.mga5
+ Revision: 672433
- translated desktop file

* Mon Sep 01 2014 luigiwalser <luigiwalser> 3.6.1-6.mga5
+ Revision: 670271
- rebuild for glew

* Sun Jul 06 2014 wally <wally> 3.6.1-5.mga5
+ Revision: 650129
- add patch from Sebastian Ramacher (via Debian) to fix build with new ffmpeg

* Sat Oct 19 2013 umeabot <umeabot> 3.6.1-4.mga4
+ Revision: 530647
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 3.6.1-3.mga4
+ Revision: 458677
- Rebuild for new glew

* Thu Jul 11 2013 fwang <fwang> 3.6.1-2.mga4
+ Revision: 452778
- rebuild for new ffmpeg

* Fri Jun 28 2013 fwang <fwang> 3.6.1-1.mga4
+ Revision: 447717
- update patch series
- update file list and libmajor
- update file list
- add patch from pld-linux to build with exosip 4.0
- br vim
- bump ortp req
- update br
- new version 3.6.1

* Sat Jan 12 2013 umeabot <umeabot> 3.5.2-5.mga3
+ Revision: 358833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 3.5.2-4.mga3
+ Revision: 341733
- fix build with automake 1.13
- rebuild for new ffmpeg

  + luigiwalser <luigiwalser>
    - BR automake

* Sat Oct 20 2012 malo <malo> 3.5.2-2.mga3
+ Revision: 308465
- update RPM group

* Fri Jun 01 2012 fwang <fwang> 3.5.2-1.mga3
+ Revision: 252815
- update file list
- more patch
- more patch
- fix build with latest ffmpeg 0.11

* Mon Mar 05 2012 fwang <fwang> 3.5.2-1.mga2
+ Revision: 218368
- update file list
- new version 3.5.2

* Fri Mar 02 2012 fwang <fwang> 3.5.0-2.mga2
+ Revision: 216670
- rebuild for new vpx

* Tue Dec 27 2011 fwang <fwang> 3.5.0-1.mga2
+ Revision: 188087
- use external ortp
- update file list
- update file list
- fix linkage
- new version 3.5.0
- rebuild for new exosip

* Fri Jun 24 2011 fwang <fwang> 3.4.3-1.mga2
+ Revision: 113126
- new version 3.4.3

* Thu Jan 20 2011 ahmad <ahmad> 3.3.2-2.mga1
+ Revision: 27055
- imported package linphone

